package com.jscape.inet.ssh.protocol.v2.messages;

import com.jscape.inet.ssh.protocol.messages.Message;
import com.jscape.util.net.connection.MessageConnection;

/**
 * @author Alex Usun
 */
public class SshMsgChannelRequestExitStatus
        extends SshMsgChannelRequest<SshMsgChannelRequestExitStatus.Handler> {

    public final int exitStatus;

    public SshMsgChannelRequestExitStatus(int recipientChannel, int exitStatus) {
        super(recipientChannel, false);

        this.exitStatus = exitStatus;
    }

    @Override
    public Class handlerClass() {
        return Handler.class;
    }

    @Override
    public void accept(Handler handler, MessageConnection<Message> connection) {
        handler.handle(this, connection);
    }

    @Override
    public String toString() {
        return "SshMsgChannelRequestExitStatus {"
                + "recipientChannel=" + this.recipientChannel
                + ", wantReply=" + this.wantReply
                + ", exitStatus=" + this.exitStatus
                + '}';
    }

    public interface Handler
            extends Message.HandlerBase {

        void handle(SshMsgChannelRequestExitStatus message, MessageConnection<Message> connection);

    }
}
